# magnum

## coe ca rotate

Rotate the CA certificate for cluster to revoke access.

    openstack coe ca rotate <cluster>

cluster

  ID or name of the cluster

This command is provided by the python-magnumclient plugin.

## coe ca show

Show details about the CA certificate for a cluster.

    openstack coe ca show <cluster>

cluster

  ID or name of the cluster

This command is provided by the python-magnumclient plugin.

## coe ca sign

Generate the CA certificate for a cluster.

    openstack coe ca sign <cluster> <csr>

cluster

  ID or name of the cluster

csr

  File path of csr file to send to Magnum to get signed.

This command is provided by the python-magnumclient plugin.

## coe cluster config

Get Configuration for a Cluster

    openstack coe cluster config
        [--dir <dir>]
        [--force]
        [--output-certs]
        [--use-certificate]
        [--use-keystone]
        <cluster>

--dir <dir>

  Directory to save the certificate and config files.

--force

  Overwrite files if existing.

--output-certs

  Output certificates in separate files.

--use-certificate

  Use certificate in config files.

--use-keystone

  Use Keystone token in config files.

cluster

  The name or UUID of cluster to update

This command is provided by the python-magnumclient plugin.

## coe cluster create

Create a cluster

    openstack coe cluster create
        --cluster-template <cluster-template>
        [--discovery-url <discovery-url>]
        [--docker-volume-size <docker-volume-size>]
        [--labels <KEY1=VALUE1,KEY2=VALUE2;KEY3=VALUE3...>]
        [--keypair <keypair>]
        [--master-count <master-count>]
        [--node-count <node-count>]
        [--timeout <timeout>]
        [--master-flavor <master-flavor>]
        [--flavor <flavor>]
        [--fixed-network <fixed-network>]
        [--fixed-subnet <fixed-subnet>]
        [--floating-ip-enabled]
        [--floating-ip-disabled]
        [--merge-labels]
        [--master-lb-enabled]
        [--master-lb-disabled]
        <name>

--cluster-template <cluster-template>

  ID or name of the cluster template.

--discovery-url <discovery-url>

  Specifies custom delivery url for node discovery.

--docker-volume-size <docker-volume-size>

  The size in GB for the docker volume to use.

--labels <KEY1=VALUE1,KEY2=VALUE2;KEY3=VALUE3...>

  Arbitrary labels in the form of key=value pairs to associate with a cluster template. May be used multiple times.

--keypair <keypair>

  UUID or name of the keypair to use.

--master-count <master-count>

  The number of master nodes for the cluster.

--node-count <node-count>

  The cluster node count.

--timeout <timeout>

  The timeout for cluster creation time. The default is 60 minutes.

--master-flavor <master-flavor>

  The nova flavor name or UUID to use when launching the master node of the Cluster.

--flavor <flavor>

  The nova flavor name or UUID to use when launching the Cluster.

--fixed-network <fixed-network>

  The private Neutron network name to connect to this Cluster template.

--fixed-subnet <fixed-subnet>

  The private Neutron subnet name to connect to Cluster.

--floating-ip-enabled

  Indicates whether created Clusters should have a floating ip.

--floating-ip-disabled

  Disables floating ip creation on the new Cluster

--merge-labels

  The labels provided will be merged with the labels configured in the specified cluster template.

--master-lb-enabled

  Enable master LB creation on the new cluster

--master-lb-disabled

  Disable master LB creation on the new cluster

name

  Name of the cluster to create.

This command is provided by the python-magnumclient plugin.

## coe cluster delete

Delete a cluster

    openstack coe cluster delete <cluster> [<cluster> ...]

cluster

  ID or name of the cluster(s) to delete.

This command is provided by the python-magnumclient plugin.

## coe cluster list

List clusters

    openstack coe cluster list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Maximum number of clusters to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

This command is provided by the python-magnumclient plugin.

## coe cluster resize

Resize a Cluster

    openstack coe cluster resize
        [--nodes-to-remove <Server UUID>]
        [--nodegroup <nodegroup>]
        <cluster>
        node_count

--nodes-to-remove <Server UUID>

  Server ID of the nodes to be removed. Repeat to add more server ID

--nodegroup <nodegroup>

  The name or UUID of the nodegroup of current cluster.

cluster

  The name or UUID of cluster to update

node_count

  Desired node count of the cluser.

This command is provided by the python-magnumclient plugin.

## coe cluster show

Show a Cluster

    openstack coe cluster show <cluster>

cluster

  ID or name of the cluster to show.

This command is provided by the python-magnumclient plugin.

## coe cluster template create

Create a Cluster Template.

    openstack coe cluster template create
        --coe <coe>
        --image <image>
        --external-network <external-network>
        [--keypair <keypair>]
        [--fixed-network <fixed-network>]
        [--fixed-subnet <fixed-subnet>]
        [--network-driver <network-driver>]
        [--volume-driver <volume-driver>]
        [--dns-nameserver <dns-nameserver>]
        [--flavor <flavor>]
        [--master-flavor <master-flavor>]
        [--docker-volume-size <docker-volume-size>]
        [--docker-storage-driver <docker-storage-driver>]
        [--http-proxy <http-proxy>]
        [--https-proxy <https-proxy>]
        [--no-proxy <no-proxy>]
        [--labels <KEY1=VALUE1,KEY2=VALUE2;KEY3=VALUE3...>]
        [--tls-disabled]
        [--public]
        [--registry-enabled]
        [--insecure-registry INSECURE_REGISTRY]
        [--server-type <server-type>]
        [--master-lb-enabled]
        [--floating-ip-enabled]
        [--floating-ip-disabled]
        [--hidden]
        [--visible]
        [--tags <--tags tag1 --tags tag2,tag3>]
        <name>

--coe <coe>

  Specify the Container Orchestration Engine to use.

--image <image>

  The name or UUID of the base image to customize for the Cluster.

--external-network <external-network>

  The external Neutron network name or UUID to connect to this Cluster Template.

--keypair <keypair>

  The name or UUID of the SSH keypair to load into the Cluster nodes.

--fixed-network <fixed-network>

  The private Neutron network name to connect to this Cluster model.

--fixed-subnet <fixed-subnet>

  The private Neutron subnet name to connect to Cluster.

--network-driver <network-driver>

  The network driver name for instantiating container networks.

--volume-driver <volume-driver>

  The volume driver name for instantiating container volume.

--dns-nameserver <dns-nameserver>

  The DNS nameserver to use for this cluster template.

--flavor <flavor>

  The nova flavor name or UUID to use when launching the Cluster.

--master-flavor <master-flavor>

  The nova flavor name or UUID to use when launching the master node of the Cluster.

--docker-volume-size <docker-volume-size>

  Specify the number of size in GB for the docker volume to use.

--docker-storage-driver <docker-storage-driver>

  Select a docker storage driver. Supported: devicemapper, overlay, overlay2. Default: overlay2

--http-proxy <http-proxy>

  The http_proxy address to use for nodes in Cluster.

--https-proxy <https-proxy>

  The https_proxy address to use for nodes in Cluster.

--no-proxy <no-proxy>

  The no_proxy address to use for nodes in Cluster.

--labels <KEY1=VALUE1,KEY2=VALUE2;KEY3=VALUE3...>

  Arbitrary labels in the form of key=value pairs to associate with a cluster template. May be used multiple times.

--tls-disabled

  Disable TLS in the Cluster.

--public

  Make cluster template public.

--registry-enabled

  Enable docker registry in the Cluster

--insecure-registry <INSECURE_REGISTRY>

  The URL pointing to users own private insecure dockerregistry to deploy and run docker containers.

--server-type <server-type>

  Specify the server type to be used for example vm. For this release default server type will be vm.

--master-lb-enabled

  Indicates whether created Clusters should have a load balancer for master nodes or not.

--floating-ip-enabled

  Indicates whether created Clusters should have a floating ip.

--floating-ip-disabled

  Disables floating ip creation on the new Cluster

--hidden

  Indicates the cluster template should be hidden.

--visible

  Indicates the cluster template should be visible.

--tags <--tags tag1 --tags tag2,tag3>

  Tags to be added to the cluster template.

name

  Name of the cluster template to create.

This command is provided by the python-magnumclient plugin.

## coe cluster template delete

Delete a Cluster Template.

    openstack coe cluster template delete
        <cluster-templates>
        [<cluster-templates> ...]

cluster-templates

  ID or name of the (cluster template)s to delete.

This command is provided by the python-magnumclient plugin.

## coe cluster template list

List Cluster Templates.

    openstack coe cluster template list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]
        [--fields <fields>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Maximum number of cluster templates to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

--fields <fields>

  Comma-separated list of fields to display. Available fields: uuid, name, coe, image_id, public, link, apiserver_port, server_type, tls_disabled, registry_enabled

This command is provided by the python-magnumclient plugin.

## coe cluster template show

Show a Cluster Template.

    openstack coe cluster template show <cluster-template>

cluster-template

  ID or name of the cluster template to show.

This command is provided by the python-magnumclient plugin.

## coe cluster template update

Update a Cluster Template.

    openstack coe cluster template update
        [--hidden]
        [--visible]
        <cluster-template>
        [<op>]
        [<path=value> ...]

--hidden

  Hide the cluster template.

--visible

  Make the cluster template visible.

cluster-template

  The name or UUID of cluster template to update

op

  Operations: one of ‘add’, ‘replace’ or ‘remove’

path=value

  Attributes to add/replace or remove (only PATH is necessary on remove)

This command is provided by the python-magnumclient plugin.

## coe cluster update

Update a Cluster

    openstack coe cluster update
        [--rollback]
        <cluster>
        <op>
        <path=value>
        [<path=value> ...]

--rollback

  Rollback cluster on update failure.

cluster

  The name or UUID of cluster to update

op

  Operations: one of ‘add’, ‘replace’ or ‘remove’

path=value

  Attributes to add/replace or remove (only PATH is necessary on remove)

This command is provided by the python-magnumclient plugin.

## coe cluster upgrade

Upgrade a Cluster

    openstack coe cluster upgrade
        [--max-batch-size <max_batch_size>]
        [--nodegroup <nodegroup>]
        <cluster>
        cluster_template

--max-batch-size <max_batch_size>

  The max batch size for upgrading each time.

--nodegroup <nodegroup>

  The name or UUID of the nodegroup of current cluster.

cluster

  The name or UUID of cluster to update

cluster_template

  The new cluster template ID will be upgraded to.

This command is provided by the python-magnumclient plugin.

## coe credential rotate

Rotate the credentials for the cluster using the current user account.

    openstack coe credential rotate <cluster>

cluster

  ID or name of the cluster

This command is provided by the python-magnumclient plugin.

## coe nodegroup create

Create a nodegroup

    openstack coe nodegroup create
        [--docker-volume-size <docker-volume-size>]
        [--labels <KEY1=VALUE1,KEY2=VALUE2;KEY3=VALUE3...>]
        [--node-count <node-count>]
        [--min-nodes <min-nodes>]
        [--max-nodes <max-nodes>]
        [--role <role>]
        [--image <image>]
        [--flavor <flavor>]
        [--merge-labels]
        <cluster>
        <name>

--docker-volume-size <docker-volume-size>

  The size in GB for the docker volume to use.

--labels <KEY1=VALUE1,KEY2=VALUE2;KEY3=VALUE3...>

  Arbitrary labels in the form of key=valuepairs to associate with a nodegroup. May be used multiple times.

--node-count <node-count>

  The nodegroup node count.

--min-nodes <min-nodes>

  The nodegroup minimum node count.

--max-nodes <max-nodes>

  The nodegroup maximum node count.

--role <role>

  The role of the nodegroup

--image <image>

  The name or UUID of the base image to customize for the NodeGroup.

--flavor <flavor>

  The nova flavor name or UUID to use when launching the nodes in this NodeGroup.

--merge-labels

  The labels provided will be merged with the labels configured in the specified cluster.

cluster

  Name of the nodegroup to create.

name

  Name of the nodegroup to create.

This command is provided by the python-magnumclient plugin.

## coe nodegroup delete

Delete a nodegroup

    openstack coe nodegroup delete <cluster> <nodegroup> [<nodegroup> ...]

cluster

  ID or name of the cluster where the nodegroup(s) belong(s).

nodegroup

  ID or name of the nodegroup(s) to delete.

This command is provided by the python-magnumclient plugin.

## coe nodegroup list

List nodegroups

    openstack coe nodegroup list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]
        [--role <role>]
        <cluster>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Maximum number of nodegroups to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

--role <role>

  List the nodegroups in the cluster with this role

cluster

  ID or name of the cluster where the nodegroup belongs.

This command is provided by the python-magnumclient plugin.

## coe nodegroup show

Show a nodegroup

    openstack coe nodegroup show <cluster> <nodegroup>

cluster

  ID or name of the cluster where the nodegroup belongs.

nodegroup

  ID or name of the nodegroup to show.

This command is provided by the python-magnumclient plugin.

## coe nodegroup update

Update a Nodegroup

    openstack coe nodegroup update
        <cluster>
        <nodegroup>
        <op>
        <path=value>
        [<path=value> ...]

cluster

  ID or name of the cluster where the nodegroup belongs.

nodegroup

  The name or UUID of cluster to update

op

  Operations: one of ‘add’, ‘replace’ or ‘remove’

path=value

  Attributes to add/replace or remove (only PATH is necessary on remove)

This command is provided by the python-magnumclient plugin.

## coe quotas create

Create a quota.

    openstack coe quotas create
        --project-id <project-id>
        --resource <resource>
        [--hard-limit <hard-limit>]

--project-id <project-id>

  Project ID

--resource <resource>

  Resource name.

--hard-limit <hard-limit>

  Max resource limit (default: hard-limit=1)

This command is provided by the python-magnumclient plugin.

## coe quotas delete

Delete specified resource quota.

    openstack coe quotas delete
        --project-id <project-id>
        --resource <resource>

--project-id <project-id>

  Project ID

--resource <resource>

  Resource name.

This command is provided by the python-magnumclient plugin.

## coe quotas list

Print a list of available quotas.

    openstack coe quotas list
        [--marker <marker>]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]
        [--all-tenants]

--marker <marker>

  The last quota UUID of the previous page; displays list of quotas after “marker”.

--limit <limit>

  Maximum number of quotas to return.

--sort-key <sort-key>

  Column to sort results by.

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

--all-tenants

  Flag to indicate list all tenant quotas.

This command is provided by the python-magnumclient plugin.

## coe quotas show

Show details about the given project resource quota.

    openstack coe quotas show
        --project-id <project-id>
        --resource <resource>

--project-id <project-id>

  Project ID

--resource <resource>

  Resource name.

This command is provided by the python-magnumclient plugin.

## coe quotas update

Update information about the given project resource quota.

    openstack coe quotas update
        --project-id <project-id>
        --resource <resource>
        [--hard-limit <hard-limit>]

--project-id <project-id>

  Project ID

--resource <resource>

  Resource name.

--hard-limit <hard-limit>

  Max resource limit (default: hard-limit=1)

This command is provided by the python-magnumclient plugin.

## coe service list

Print a list of Magnum services.

    openstack coe service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-magnumclient plugin.

## coe stats list

Show stats for the given project_id

    openstack coe stats list <project>

project

  Project ID

This command is provided by the python-magnumclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.